/*
 * $Id: ExceptionThrower.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2004-2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/04/23
 */
package feat2.testapp.test7;

import java.io.IOException;

import feat2.CommandContext;
import feat2.Fetcher;

public class ExceptionThrower implements Fetcher {

    private String type;

    public Object execute(CommandContext ctx) throws Exception {

        Object nullObj = null;

        if ( type.equals("io") )
            throw new IOException("IOExceptionのテスト");

        else if ( type.equals("null") )
             nullObj.toString();

        return null;
    }



    public void setType(String type) {
        this.type = type;
    }



}
